<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:wps="http://www.opengeospatial.net/wps" xmlns:ows="http://www.opengeospatial.net/ows" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!--
	    (C) Peter Schut 2006
		XSLT to tranform WPS GetCapabilities and DescribeProcess to a nice HTML Page
		It will help to document operation
	-->

		<xsl:param name="urlWpsDescribeDocument">
		file:///C:\dbf\describeProcess.xml
		</xsl:param>

		<xsl:param name="wpsDocumentName">
		'To be defined'
		</xsl:param>

<!--
		<xsl:param name="urlWpsDescribeDocument"> 
		</xsl:param>
-->

<xsl:variable name="xmlWpsDescribeDocument" select="document($urlWpsDescribeDocument)"/> 

<xsl:output method="html"/>

<xsl:template match="/">

<head>
<style type="text/css">

H1.wps {
	font-family: arial, helvetica; 
	padding: 0px;
    margin-top: 2px;
    margin-bottom: 2px;
    margin-left: 1px;
    margin-right: 0px;
} 

H2.wps {
	font-family: arial, helvetica; 
	font-style: italic;
	padding: 0px;
    margin-top: 10px;
    margin-bottom: 2px;
    margin-left: 1px;
    margin-right: 0px;
} 

H3.wps {
	font-family: arial, helvetica; 
	padding: 0px;
    margin-top: 10px;
    margin-bottom: 2px;
    margin-left: 10px;
    margin-right: 0px;
} 

H4.wps {
	font-family: arial, helvetica; 
	padding: 0px;
    margin-top: 10px;
    margin-bottom: 2px;
    margin-left: 1px;
    margin-right: 0px;
} 

table.wps {
	border-width: 1px;
	border: 1px;
    border-color:#000000;
	width: 100%;
}
table.wps th {
    background-color:#ccff99;
	text-align: left;
    border: 1px solid;
}
table.wps td {
	text-align: left;
    border: 1px solid;
}

</style>
</head>

<html>
 <body>
   <h1 class="wps">WPS 0.4.0 Summary Document for <xsl:value-of select="$wpsDocumentName" /></h1><font size="2">Release 1.0.0</font>
   <br></br>
   <h2 class="wps">Service Identification</h2>
	   <table class="wps">
	    <tr><th>Sequence</th><td><xsl:value-of select="wps:Capabilities/@updateSequence" /></td></tr>
	    <tr><th>Title</th><td><xsl:value-of select="wps:Capabilities/ows:ServiceIdentification/ows:Title" /></td></tr>
	    <tr><th>Abstract</th><td><xsl:value-of select="wps:Capabilities/ows:ServiceIdentification/ows:Abstract" /></td></tr>
	    <tr><th>Service Type</th><td><xsl:value-of select="wps:Capabilities/ows:ServiceIdentification/ows:ServiceType" /></td></tr>
	    <tr><th>Service Type Version</th><td><xsl:value-of select="wps:Capabilities/ows:ServiceIdentification/ows:ServiceTypeVersion" /></td></tr>
	    <tr><th>Fees</th><td><xsl:value-of select="wps:Capabilities/ows:ServiceIdentification/ows:Fees" /></td></tr>
	    <tr><th>Access Constraints</th><td><xsl:value-of select="wps:Capabilities/ows:ServiceIdentification/ows:AccessConstraints" /></td></tr>
		<tr><th>Keywords</th>
		<td>
		<xsl:for-each select="wps:Capabilities/ows:ServiceIdentification/ows:Keywords/ows:Keyword">
			<xsl:value-of select="text()" />,
		</xsl:for-each>
		</td></tr>

	   </table>

   <br></br>
   <h2 class="wps">Service Provider</h2>
	   <table class="wps">
	    <tr><th>Provider Name</th><td><xsl:value-of select="wps:Capabilities/ows:ServiceProvider/ows:ProviderName" /></td></tr>
	    <tr><th>Provider Site</th><td><xsl:value-of select="wps:Capabilities/ows:ServiceProvider/ows:ProviderSite/@xlink:href" /></td></tr>
		<tr><th>Service Contact</th>
		  <td>

		   <table class="wps">
		    <tr><th>Individual Name</th><td><xsl:value-of select="wps:Capabilities/ows:ServiceProvider/ows:ServiceContact/ows:IndividualName" /></td></tr>
		    <tr><th>Position Name</th><td><xsl:value-of select="wps:Capabilities/ows:ServiceProvider/ows:ServiceContact/ows:PositionName" /></td></tr>
		    <tr><th>Role</th><td><xsl:value-of select="wps:Capabilities/ows:ServiceProvider/ows:ServiceContact/ows:Role" /></td></tr>
			<tr><th>Contact Info</th>
			  <td>

				   <table class="wps">
					<tr><th>Phone</th>
						<td>
						   <table class="wps">
							<tr><th>Voice</th>
							    <td>
								<xsl:for-each select="wps:Capabilities/ows:ServiceProvider/ows:ServiceContact/ows:ContactInfo/ows:Phone/ows:Voice">
									<xsl:value-of select="text()" />,
								</xsl:for-each>
								</td>
						    </tr>
							<tr><th>Phone Facsimile</th>
								<td>
								<xsl:for-each select="wps:Capabilities/ows:ServiceProvider/ows:ServiceContact/ows:ContactInfo/ows:Phone/ows:Facsimile">
									<xsl:value-of select="text()" />,
								</xsl:for-each>
								</td>
							</tr>
						   </table>

						</td>
					</tr>

					<tr><th>Address</th>
						<td>
						   <table class="wps">
							<tr><th>Delivery Point</th>
							    <td>
								<xsl:for-each select="wps:Capabilities/ows:ServiceProvider/ows:ServiceContact/ows:ContactInfo/ows:Address/ows:DeliveryPoint">
									<xsl:value-of select="text()" />,
								</xsl:for-each>
								</td>
						    </tr>
							<tr><th>City</th>
							    <td>
								<xsl:value-of select="wps:Capabilities/ows:ServiceProvider/ows:ServiceContact/ows:ContactInfo/ows:Address/ows:City" />
								</td>
						    </tr>
							<tr><th>Administrative Area</th>
							    <td>
								<xsl:value-of select="wps:Capabilities/ows:ServiceProvider/ows:ServiceContact/ows:ContactInfo/ows:Address/ows:AdministrativeArea" />
								</td>
						    </tr>
							<tr><th>Postal Code</th>
							    <td>
								<xsl:value-of select="wps:Capabilities/ows:ServiceProvider/ows:ServiceContact/ows:ContactInfo/ows:Address/ows:PostalCode" />
								</td>
						    </tr>
							<tr><th>Country</th>
							    <td>
								<xsl:value-of select="wps:Capabilities/ows:ServiceProvider/ows:ServiceContact/ows:ContactInfo/ows:Address/ows:Country" />
								</td>
						    </tr>
							<tr><th>Electronic Mail Address</th>
							    <td>
								<xsl:for-each select="wps:Capabilities/ows:ServiceProvider/ows:ServiceContact/ows:ContactInfo/ows:Address/ows:ElectronicMailAddress" >
									<xsl:value-of select="text()" />,
								</xsl:for-each>
								</td>
						    </tr>

						   </table>
						</td>
					</tr>

					<tr><th>Online Resource</th>
						<td>
							<xsl:value-of select="wps:Capabilities/ows:ServiceProvider/ows:ServiceContact/ows:ContactInfo/ows:OnlineResource/@xlink:href" />
						</td>
					</tr>

					<tr><th>Hours Of Service</th>
						<td>
							<xsl:value-of select="wps:Capabilities/ows:ServiceProvider/ows:ServiceContact/ows:ContactInfo/ows:HoursOfService" />
						</td>
					</tr>

					<tr><th>Contact Instructions</th>
						<td>
							<xsl:value-of select="wps:Capabilities/ows:ServiceProvider/ows:ServiceContact/ows:ContactInfo/ows:ContactInstructions" />
						</td>
					</tr>

				   </table>

		      </td>
			</tr>
		   </table>

		  </td>
		</tr>
	   </table>


   <br></br>
   <h2 class="wps">Operation metadata</h2>
	   <table class="wps">

			<xsl:for-each select="wps:Capabilities/ows:OperationsMetadata/ows:Operation">

			<tr><th>Operation <xsl:value-of select="@name" /></th>
			    <td>

				   <xsl:for-each select="ows:DCP/ows:HTTP/ows:Get">

				      <table class="wps">
						<tr><th>Get</th>
						    <td>
							<xsl:value-of select="@xlink:href" />
						    </td>
				    	</tr>

	   			     </table>

					</xsl:for-each>

				   <xsl:for-each select="ows:DCP/ows:HTTP/ows:Post">

				      <table class="wps">
						<tr><th>Post</th>
						    <td>
							<xsl:value-of select="@xlink:href" />
						    </td>
				    	</tr>

	   			     </table>

					</xsl:for-each>

			    </td>
	    	</tr>
 
			</xsl:for-each>

	   </table>

   <br></br>

   <h2 class="wps">Process Descriptions</h2>

			<xsl:for-each select="$xmlWpsDescribeDocument/wps:ProcessDescriptions/wps:ProcessDescription">

			   <h3 class="wps">Process <u><i><xsl:value-of select="ows:Identifier" /> version <xsl:value-of select="@processVersion" /></i></u></h3>
				   <table class="wps">

					<tr><td width="10"></td>
					    <th>Title</th>
					    <td><xsl:value-of select="ows:Title" /></td>
			    	</tr>
					<tr><td width="10"></td>
					    <th>Abstract</th>
					    <td><xsl:value-of select="ows:Abstract" /></td>
			    	</tr>
					<tr><td width="10"></td>
					    <th>Store Supported</th>
					    <td><xsl:value-of select="@storeSupported" /></td>
			    	</tr>
					<tr><td width="10"></td>
					    <th>Status Supported</th>
					    <td><xsl:value-of select="@statusSupported" /></td>
			    	</tr>
					<tr><td width="10"></td>
					    <th>Inputs</th>
					    <td>
						   <table class="wps">

							<xsl:for-each select="wps:DataInputs/wps:Input">

							<tr>
							    <th>
								 <xsl:variable name="optmanField">
								   <xsl:choose>
									<xsl:when test=" wps:MinimumOccurs>=1 ">
										<xsl:copy-of select="'Mandatory'"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:copy-of select="'Optional'"/>
									</xsl:otherwise>
							       </xsl:choose>
								 </xsl:variable>
							     <p>Identifier <u><i><xsl:value-of select="ows:Identifier" /></i></u></p>
								 <font size="1"><xsl:value-of select="$optmanField" /></font>
								</th>
								<td>
									<table class="wps">
										<tr>
										    <th>Title</th>
											<td><xsl:value-of select="ows:Title" /></td>
										</tr>
										<tr>
										    <th>Abstract</th>
											<td><xsl:value-of select="ows:Abstract" /></td>
										</tr>
										<tr>
										    <th>Type</th>
											<xsl:if test="wps:LiteralData">
													<td>Literal</td>
											</xsl:if >
											<xsl:if test="wps:BoundingBoxData">
													<td>Bounding Box</td>
											</xsl:if >
											<xsl:if test="wps:ComplexData">
													<td>Complex</td>
											</xsl:if >
										</tr>
										
						   			</table>
								</td>
							</tr>

							</xsl:for-each>

						   </table>

						</td>
			    	</tr>

					<tr><td width="10"></td>
					    <th>Outputs</th>
					    <td>
						   <table class="wps">

							<xsl:for-each select="wps:ProcessOutputs/wps:Output">

							<tr>
							    <th>
							     Identifier <u><i><xsl:value-of select="ows:Identifier" /></i></u>
								</th>
								<td>
									<table class="wps">
										<tr>
										    <th>Title</th>
											<td><xsl:value-of select="ows:Title" /></td>
										</tr>
										<tr>
										    <th>Abstract</th>
											<td><xsl:value-of select="ows:Abstract" /></td>
										</tr>
										<tr>
										    <th>Type</th>
											<xsl:if test="wps:LiteralOutput">
													<td>Literal</td>
											</xsl:if >
											<xsl:if test="wps:BoundingBoxOutput">
													<td>Bounding Box</td>
											</xsl:if >
											<xsl:if test="wps:ComplexOutput">
													<td>Complex</td>
											</xsl:if >
										</tr>
										
						   			</table>
								</td>
							</tr>

							</xsl:for-each>

						   </table>

						</td>
			    	</tr>

				   </table>
 
			</xsl:for-each>


 </body>
</html>
</xsl:template>

</xsl:stylesheet><!-- Stylesheet edited using Stylus Studio - (c) 2004-2005. Progress Software Corporation. All rights reserved. --><!-- Stylesheet edited using Stylus Studio - (c) 2004-2005. Progress Software Corporation. All rights reserved. --><!-- Stylesheet edited using Stylus Studio - (c) 2004-2005. Progress Software Corporation. All rights reserved. --><!-- Stylesheet edited using Stylus Studio - (c) 2004-2005. Progress Software Corporation. All rights reserved. -->
<!--   
   
   <h3 id="framework">Framework Description</h3>
   The geospatial framework to which this data applies has the following properties:
   <table border="1">
    <tr><th align="right">Organization</th><td><xsl:value-of select="GDAS_Data/Framework/Organization" /></td></tr>
    <tr><th align="right">Domain</th><td><xsl:value-of select="GDAS_Data/Framework/Domain" /></td></tr>
    <tr><th align="right">Framework Name</th><td><xsl:value-of select="GDAS_Data/Framework/Name" /></td></tr>
    <tr><th align="right">Title</th><td><xsl:value-of select="GDAS_Data/Framework/Title" /></td></tr>
    <tr><th align="right">Description</th><td><xsl:value-of select="GDAS_Data/Framework/Description" /></td></tr>
    <tr><th align="right">Version</th><td><xsl:value-of select="GDAS_Data/Framework/Version" /></td></tr>
    <tr><th align="right">Release Date</th><td><xsl:value-of select="GDAS_Data/Framework/ReleaseDate" /></td></tr>
    <tr><th align="right">Documentation</th><td>
     <xsl:element name="a">
      <xsl:attribute name="href">
        <xsl:value-of select="GDAS_Data/Framework/Documentation" />
      </xsl:attribute> 
      <xsl:value-of select="GDAS_Data/Framework/Documentation" />
     </xsl:element></td>
    </tr>
    <tr><th align="right">GeolinkageField</th><td bgcolor="#ccff99"><xsl:value-of select="GDAS_Data/Framework/GeolinkageField" /></td></tr>
   </table>
   <p/>

   <h3 id="dataset">Dataset Description</h3>
   The dataset from which this data applies has the following properties:
   <table border="1">
    <tr><th>Geolinkage Field</th><th colspan="2">Dataset</th></tr>
    <tr><th rowspan="8" bgcolor="#ccff99"><xsl:value-of select="GDAS_Data/Framework/Dataset/GeolinkageField" /></th>
        <th align="right">Dataset Name</th><td><xsl:value-of select="GDAS_Data/Framework/Dataset/Name" /></td></tr>
    <tr><th align="right">Title</th><td><xsl:value-of select="GDAS_Data/Framework/Dataset/Title" /></td></tr>
    <tr><th align="right">Description</th><td><xsl:value-of select="GDAS_Data/Framework/Dataset/Description" /></td></tr>
    <tr><th align="right">Documentation</th><td>
     <xsl:element name="a">
      <xsl:attribute name="href">
        <xsl:value-of select="GDAS_Data/Framework/Dataset/Documentation" />
      </xsl:attribute> 
      <xsl:value-of select="GDAS_Data/Framework/Dataset/Documentation" />
     </xsl:element></td>
    </tr>
    <tr><th align="right">Organization</th><td><xsl:value-of select="GDAS_Data/Framework/Dataset/Organization" /></td></tr>
    <tr><th align="right">Domain</th><td><xsl:value-of select="GDAS_Data/Framework/Dataset/Domain" /></td></tr>
    <tr><th align="right">Version</th><td><xsl:value-of select="GDAS_Data/Framework/Dataset/Version" /></td></tr>
    <tr><th align="right">Release Date</th><td><xsl:value-of select="GDAS_Data/Framework/Dataset/ReleaseDate" /></td></tr>
   </table>
 
   <h3 id="attributes">Attribute Descriptions</h3>
   The attributes displayed for this data have the following properties:
   <table border="1">
    <xsl:for-each select="GDAS_Data/Framework/Dataset/Attribute">
     <tr><th rowspan="7" bgcolor="#9acd32"><xsl:value-of select="Name" /></th>
         <th align="right">Title</th><td><xsl:value-of select="Title" /></td></tr>
     <tr><th align="right">Description</th><td><xsl:value-of select="Description" /></td></tr>
     <tr><th align="right">Units</th><td><xsl:value-of select="Units" /></td></tr>
     <tr><th align="right">Type</th><td><xsl:value-of select="Type" /></td></tr>
     <tr><th align="right">Documentation</th><td>
      <xsl:element name="a">
       <xsl:attribute name="href">
        <xsl:value-of select="Documentation" />
       </xsl:attribute> 
       <xsl:value-of select="Documentation" />
      </xsl:element></td>
     </tr>
     <tr><th align="right">Version</th><td><xsl:value-of select="Version" /></td></tr>
     <tr><th align="right">Release Date</th><td><xsl:value-of select="ReleaseDate" /></td></tr>
     <tr><td colspan="3" bgcolor="#cccccc" align="center">-</td></tr>
    </xsl:for-each>
   </table>
 
    <center>
   <h2 id="data">Attribute Data</h2>
   <table border="1">
     <xsl:for-each select="GDAS_Data/Framework/Dataset">
     <tr>
       <th bgcolor="#ccff99"><xsl:value-of select="GeolinkageField" /></th>
       <xsl:for-each select="Attribute">
       <th bgcolor="#9acd32"><xsl:value-of select="Name" /></th>
     </xsl:for-each>
     </tr>
     </xsl:for-each>
     <xsl:for-each select="GDAS_Data/Framework/Dataset/Rowset/Row">
     <tr>
       <td bgcolor="#ccff99"><xsl:value-of select="I" /></td>
       <xsl:for-each select="V">
       <td><xsl:value-of select="." /></td>
       </xsl:for-each>
     </tr>
     </xsl:for-each>
   </table>
   </center>

--><!-- Stylesheet edited using Stylus Studio - (c) 2004-2005. Progress Software Corporation. All rights reserved. --><!-- Stylesheet edited using Stylus Studio - (c) 2004-2005. Progress Software Corporation. All rights reserved. -->